System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.TransportBindingElement System.ServiceModel.Description.IPolicyExportExtension System.ServiceModel.Description.IWsdlExportExtension

The class is the starting point for creating a custom binding that implements the HTTP transport protocol. HTTP is the primary transport used for interoperability purposes. This transport is supported by indigo1 to ensure interoperability with other non-indigo2 Web services stacks.

The indigo2 service model uses this class to create factory objects that implement the and interfaces. These factory objects, in turn, create the channels and listeners that transmit SOAP messages using the HTTP protocol.

You configure the factories that this class creates by setting its properties, such as , , and .

You can also set properties on the base class, , such as , , and . For a complete list of properties, see .

Represents the binding element used to specify an HTTP transport for transmitting messages.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  This method is a copy constructor used to clone the binding.

  Initializes a new instance of the class using another binding element.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added.

  This property is provided as a convenience for interacting with ASMX Web services that use cookies to make sure that the cookies returned from the server are automatically copied to all future client requests for that service.

  Gets or sets a value that indicates whether the client accepts cookies and propagates them on future requests.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Net.AuthenticationSchemes To be added.

  The authentication scheme can only be set once.

  Gets or sets the authentication scheme used to authenticate client requests being processed by an HTTP listener.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method can be used to get a channel factory for sending messages based on the configuration of the transport binding element.

  Creates a channel factory that can be used to create a channel.

  A channel factory of the specified type.

  members that describe bindings, behaviors, contracts and other information required to create the channel factory. The type of channel factory.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method can be used to get a channel listener for receiving messages based on the configuration of the transport binding element.

  Creates a channel listener of the specified type.

  A channel listener of the specified type.

  members that describe bindings, behaviors, contracts and other information required to create the channel factory. The type of channel factory.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added.

  A local address is one that is on the local LAN or intranet.

  indigo2 always ignores the proxy if the service address begins with http://localhost. You should use the host name (rather than localhost) if you want clients to go through a proxy when talking to services on the same machine.

  Gets or sets a value that indicates whether proxies are ignored for local addresses.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether a channel factory of the specified type can be built.

  true if a channel factory can be built; otherwise false.

  The for the channel. The type of channel to check.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel `` To be added.

  Determines whether a channel listener of the specified type can be built.

  true if a channel listener can be built; otherwise false.

  The for the channel. The type of channel to check.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Creates a new instance that is a copy of the current binding element.

  A new instance that is a copy of the current binding element.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added. To be added.

  Gets or sets whether the process for returning compressed message data to its original size and format is enabled.

- Property
  4.0.0.0
  System.Security.Authentication.ExtendedProtection.ExtendedProtectionPolicy To be added. To be added.

  Gets or sets the value of the extended security policy used by the server to validate incoming client connections.

- Method
  4.0.0.0
  T ReferenceTypeConstraint `` To be added.

  Gets a property from the specified .

  The property from the specified .

  A . The type of the property to get.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.ServiceModel.HostNameComparisonMode To be added. To be added.

  Gets or sets a value that indicates whether the hostname is used to reach the service when matching on the URI.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(true)
  System.Boolean To be added.

  Set this property to true to send a Connection HTTP header with the value Keep-alive. A client uses this property to indicate a preference for persistent connections. When this property is true, the connection that the client makes to a service endpoint is persistent if the service endpoint supports that.

  Gets or sets a value that indicates whether to make a persistent connection to a service endpoint.

- Property
  4.0.0.0
  System.Obsolete("Use ExtendedProtectionPolicy")
  System.Object To be added. To be added.

  Gets or sets the extended protection policy associated with this binding element.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(65536)
  System.Int32 To be added.

  For streamed messages, if the size of the message headers is greater than this property, then a is thrown. For a non-streamed message, if the message size is greater than this property, then the message is dropped.

  If not specified, this defaults to 65536.

  Gets or sets the maximum size of the buffer to use. For buffered messages this value is the same as . For streamed messages, this value is the maximum size of the SOAP headers, which must be read in buffered mode.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(null)
  System.ComponentModel.TypeConverter(typeof(System.UriTypeConverter))
  System.Uri To be added. To be added.

  Gets or sets a URI that contains the address of the proxy to use for HTTP requests.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Net.AuthenticationSchemes To be added. To be added.

  Gets or sets the authentication scheme used to authenticate client requests being processed by an HTTP proxy.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  Servers use realms to partition protected resources; each partition can have its own authentication scheme or authorization database. Realms are used only for basic and digest authentication. After a client successfully authenticates, the authentication is valid for all resources in a given realm. For a detailed description of realms, see RFC 2617.

  Gets or sets the authentication realm.

- Property
  4.0.0.0
  System.String To be added.

  This property is used to validate bindings against base addresses.

  Gets the URI scheme for the transport.

- Method
  4.0.0.0
  System.Void `` ``

  This method writes binding-related statements into the WSDL information exposed by a particular contract and is used by indigo1 to communicate to clients the existence of this custom binding element in the binding stack.

  This method takes two parameters: the and objects. Use the , , and methods to obtain collections of policy assertions that have already been exported at various scopes. Then use this method to add your own policy assertions to the appropriate collection.

  The property exposes the for the endpoint that is being exported. This allows this method to correctly scope their exported policy assertions. For example, security attributes in code may add behaviors to the that indicate where security policy assertions should be added.

  Once custom policy assertions have been attached to the WSDL information, clients can detect and import the custom binding assertions by implementing an interface.

  Exports a custom policy assertion about bindings.

  The that you can use to modify the exporting process. The that you can use to insert your custom policy assertion.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes custom Web Services Description Language (WSDL) elements into the generated WSDL for a contract.

  The that exports the contract information. A context that provides mappings from exported WSDL elements to the contract description.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Writes custom Web Services Description Language (WSDL) elements into the generated WSDL for an endpoint.

  The that exports the contract information.
- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.ServiceModel.TransferMode To be added.

  Specifying = Streamed implies both StreamedRequest and StreamedResponse.

  Gets or sets the transfer mode.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added.

  When this property is set to true and the first request over a particular connection is authenticated using NTLM, subsequent requests over the same connection are processed using the authentication information in of the initial request.

  This property has no effect when NTLM is not the authentication protocol.

  While setting this property to true increases performance because additional NTLM authentication challenges are not sent, there is a security risk in not requiring all requests to provide authentication information. You must determine whether the increase in performance is worth this risk.

  crdefault .

  Gets or sets a value that indicates whether Unsafe Connection Sharing is enabled on the server. If enabled, NTLM authentication is performed once on each TCP connection.

- Property
  4.0.0.0
  System.ComponentModel.DefaultValue(true)
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether the machine-wide proxy settings are used rather than the user specific settings.

- Property
  4.0.0.0
  System.ServiceModel.Channels.WebSocketTransportSettings To be added. To be added.

  Gets or sets the web socket configuration of the binding element.